Ticket #40626

Bring main-x11.c and main-gcu.c up to date with z-term.h changes

Eröffnet am: 2020-08-10 00:04 Letztes Update: 2021-01-02 21:52

Auswertung:
Verantwortlicher:
Typ:
Status:
Geschlossen
Komponente:
(Keine)
Priorität:
3
Schweregrad:
3
Lösung:
Gefixt
Datei:
Keine

Details

The For2.2.2-Refactoring-term-redraw-section branch in the hengbandforosx repository, https://osdn.net/projects/hengbandforosx/scm/git/hengbandosx/commits?branch=For2.2.2-Refactoring-term-redraw-section , makes term_redraw_section() a public function again since its predecessor is used by main-x11.c. It updates main-x11.c, main-gcu.c, and main/x11-type-string.c so they are compatible with that and the other changes that have been made to z-term.h in the For2.2.2-Refactoring branch.

Ticket-Verlauf (3/4 Historien)

2020-08-10 00:04 Aktualisiert von: backwardseric
  • New Ticket "Bring main-x11.c and main-gcu.c up to date with z-term.h changes" created
2020-08-12 21:41 Aktualisiert von: hourier
Kommentar

Sorry for my mistakes and thank you very much for your investigation and fixes.

I cherry-picked your fixes into For2.2.2-Fix-Hourier.

It'll be merged into For2.2.2-Refactoring later.

deskullさん

私のブランチをマージ後、本チケットをクローズ願います

2020-08-15 08:18 Aktualisiert von: backwardseric
  • Status Update from Offen to Geschlossen
Kommentar

I see that it's been merged into For2.2.2-Refactoring and everything looks fine (well, there's a missing player/player-status-table.h but that's a separate matter). I've closed the ticket. Thanks.

Dateianhangliste

Keine Anhänge

Bearbeiten

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Anmelden